unit FMX_try;

interface

uses
  {$IFDEF MSWINDOWS}
   Winapi.ShellAPI,Winapi.Windows,
  {$ENDIF}

  {$IFDEF MACOS}
  Posix.Stdlib,
  {$ENDIF}

  {$IFDEF LINUX64}
  Posix.Stdlib,
  {$ENDIF}

  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Forms,FMX.Dialogs,FMX.StdCtrls, FMX.Types, FMX.Controls, FMX.Controls.Presentation;



type
  TForm_Main = class(TForm)
    Button_Start_Test: TButton;
    ProgressBar: TProgressBar;
    Label_Percent_Value: TLabel;
    Label_Percent: TLabel;
    procedure Button_Start_TestClick(Sender: TObject);




  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form_Main: TForm_Main;

implementation


{$R *.fmx}
Var
  I: Integer;



procedure TForm_Main.Button_Start_TestClick(Sender: TObject);
begin
  Progressbar.Min:=1;
  Progressbar.Max:=100;
  Progressbar.Value:=0;

  For I:=1 To 100 Do
    Begin
      Progressbar.BeginUpdate;
      Progressbar.Value:=I;
      Progressbar.EndUpdate;

      Label_Percent_Value.BeginUpdate;
      Label_Percent_Value.Text:=InTToStr(I);
      Label_Percent_Value.EndUpdate;

      Application.ProcessMessages;
    End;

  Showmessage('This is the end of the test!');

  Form_Main.Close;
end;

end.
